Bug 470075 - system.setDetails says you can change system ID
system.setDetails says you can change system ID
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-11-05 11:43 EST by Justin Sherrill
Modified: 2009-09-10 15:53 EDT (History)
0 users

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-11-05 11:43:34 EST
The docs for system.setDetails() says you can pass in a new system id to change the current system id.  This is wrong and the function does actually do that.
Comment 1 Justin Sherrill 2008-11-05 11:44:28 EST
 3110cba..8c8e697
Comment 2 John Matthews 2009-01-23 11:13:09 EST
Verified against: Satellite-5.3.0-RHEL5-re20081223.1-i386-embedded-oracle.iso

Method: setDetails
Description:
Set server details. All arguments are optional and will only be modified if included in the struct.

Parameters:

    * string sessionKey
    * int serverId - ID of server to lookup details for.
    * struct - server details
          o string "profile_name" - System's profile name
          o string "base_entitlement" - System's base entitlement label. (enterprise_entitled or sw_mgr_entitled)
          o boolean "auto_errata_update" - True if system has auto errata updates enabled
          o string "address1" - System's address line 1.
          o string "address2" - System's address line 2.
          o string "city"
          o string "state"
          o string "country"
          o string "building"
          o string "room"
          o string "rack"

Returns:

    * int - 1 on success, exception thrown otherwise.
Comment 3 John Matthews 2009-08-13 16:06:22 EDT
Move to RELEASE_PENDING

test1182.test.rh

/rhn/apidoc/handlers/SystemHandler.jsp#setDetails



 Method: setDetails
Description:
Set server details. All arguments are optional and will only be modified if included in the struct.

Parameters:

    * string sessionKey
    * int serverId - ID of server to lookup details for.
    * struct - server details
          o string "profile_name" - System's profile name
          o string "base_entitlement" - System's base entitlement label. (enterprise_entitled or sw_mgr_entitled)
          o boolean "auto_errata_update" - True if system has auto errata updates enabled
          o string "description" - System description
          o string "address1" - System's address line 1.
          o string "address2" - System's address line 2.
          o string "city"
          o string "state"
          o string "country"
          o string "building"
          o string "room"
          o string "rack"

Returns:

    * int - 1 on success, exception thrown otherwise.
Comment 4 Brandon Perkins 2009-09-10 15:53:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.